Page MenuHomePhabricator

SimSik: show/choose candidates from dictionary
Closed, ResolvedPublic

Event Timeline

iongchun created this task.Aug 17 2017, 5:27 PM

已經向教育部索取閩南語常用詞辭典資料

已經取得資料

應該會使用到的部份有:

  • 詞目總檔中的音讀
  • 又音
  • 詞彙方言差
iongchun moved this task from Backlog to Working on the SimSik ê Khí-pòo board.

初步規劃:

  1. 用 JobScheduler (21+) / Background service (20-) 解析 .csv data
  2. 資料存進 SQLite database
  3. 打字時,用非 UI thread 做 DB lookup, 再 post 回 UI thread 來 update candidates
iongchun added a comment.EditedSep 11 2017, 2:54 PM

不需要每次按鍵都做 DB lookup, 參考:
人類平均打字速度 <50 words per minute, 平均 word 長度為 5 個 character, 故約為 4 characters / second,
或每次按鍵 250 msecs
但也要參考期望反應速度: 0.1 秒 (100ms) 感覺為沒有延遲,0.2 ~ 1 秒感覺到有延遲但不覺得等候
以及 DB lookup 速度

iongchun claimed this task.Sep 11 2017, 3:06 PM

Background service:
初步用 IntentService (single thread) 實作

Candidate update:
初步使用 AsyncTask (single thread) 實作
在 UI thread 判斷有其他 task 時放棄 update (留給其他 task)

iongchun closed this task as Resolved.Sep 28 2017, 8:14 AM

Released in 1.5